# esp32_BNO08x: bno08x_shake_detector_t Struct Reference

Loading...
Searching...
No Matches
bno08x_shake_detector_t Struct Reference

Struct to represent shake detector data (flag meaning: 0 = no shake 1 = shake detected) More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions

| bno08x_shake_detector_t ()
bno08x_shake_detector_t & | operator= (const sh2_ShakeDetector_t &source)

## Public Attributes

uint8_t | x_flag
uint8_t | y_flag
uint8_t | z_flag
BNO08xAccuracy | accuracy

## Detailed Description

Struct to represent shake detector data (flag meaning: 0 = no shake 1 = shake detected)

## Constructor & Destructor Documentation

## bno08x_shake_detector_t()

bno08x_shake_detector_t::bno08x_shake_detector_t | ( |  | ) |

inline

## Member Function Documentation

## operator=()

bno08x_shake_detector_t & bno08x_shake_detector_t::operator= | ( | const sh2_ShakeDetector_t & | source | ) |

inline

## Member Data Documentation

## accuracy

BNO08xAccuracy bno08x_shake_detector_t::accuracy

## x_flag

uint8_t bno08x_shake_detector_t::x_flag

## y_flag

uint8_t bno08x_shake_detector_t::y_flag

## z_flag

uint8_t bno08x_shake_detector_t::z_flag

The documentation for this struct was generated from the following file:

- include/BNO08xGlobalTypes.hpp